Last Comment Bug 779089 - Add proper Apache 2 header to files based on readability.js
: Add proper Apache 2 header to files based on readability.js
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: Reader View (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 17
Assigned To: Brian Nicholson (:bnicholson)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 04:28 PDT by Gervase Markham [:gerv]
Modified: 2012-08-09 04:53 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
patch (1.41 KB, patch)
2012-08-08 11:06 PDT, Brian Nicholson (:bnicholson)
gerv: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2012-07-31 04:28:15 PDT
https://mxr.mozilla.org/mozilla-central/source/mobile/android/chrome/content/Readability.js#1
(and any other files based on Readability which are in a similar licensing position, if there are any) should have a proper Apache 2 header:

See the Appendix here for a copy of the text:
http://www.apache.org/licenses/LICENSE-2.0.html

Obviously, replace the copyright placeholder with Arc90's details from the current file.

Thanks :-)

Gerv
Comment 1 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-08 10:14:54 PDT
Again cc'ing blassey, mfinkle, and elancaster so that the right people are seeing this and assigning someone to work on the issue.
Comment 2 Brian Nicholson (:bnicholson) 2012-08-08 11:06:37 PDT
Created attachment 650209 [details] [diff] [review]
patch
Comment 3 Gervase Markham [:gerv] 2012-08-08 13:04:03 PDT
Comment on attachment 650209 [details] [diff] [review]
patch

r=gerv.

Gerv
Comment 4 Brian Nicholson (:bnicholson) 2012-08-08 13:13:44 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/9372939f013e
Comment 5 Brian Nicholson (:bnicholson) 2012-08-08 13:15:10 PDT
Comment on attachment 650209 [details] [diff] [review]
patch

[Approval Request Comment]
Comment-only change. We should have this in Aurora for licensing reasons.
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-08 13:19:24 PDT
Comment on attachment 650209 [details] [diff] [review]
patch

Thanks for getting this wrapped up, guys.
Comment 7 Brian Nicholson (:bnicholson) 2012-08-08 13:23:59 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/4bd4029cdd4a
Comment 8 Ed Morley [:emorley] 2012-08-09 04:53:20 PDT
https://hg.mozilla.org/mozilla-central/rev/9372939f013e

Note You need to log in before you can comment on or make changes to this bug.